package com.hzya.frame.sysnew.message.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * (SysMessage)实体类
 *
 * @author makejava
 * @since 2024-08-30 14:17:11
 */
public class SysMessageEntity extends BaseEntity {
 
  /**  公司id */
   private String companyId;
  /**  调用单据类型 */
   private Integer billKindId;
  /**  来源业务单据id */
   private String billId;
  /**  模版id */
   private String templateId;
  /**  1文本消息  2 卡片消息 */
   private String messageType;
  /**  消息标题 */
   private String title;
  /**  消息内容 */
   private String content;
  /**  消息操作区域 */
   private String btns;
  /**  发送时间 */
   private Date pushTime;
  /**  发送者 */
   private String sendPersonId;
  /**  接受者 */
   private String sendToPersonId;
  /**  状态 */
   private Integer state;


    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public Integer getBillKindId() {
        return billKindId;
    }

    public void setBillKindId(Integer billKindId) {
        this.billKindId = billKindId;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getMessageType() {
        return messageType;
    }

    public void setMessageType(String messageType) {
        this.messageType = messageType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getBtns() {
        return btns;
    }

    public void setBtns(String btns) {
        this.btns = btns;
    }

    public Date getPushTime() {
        return pushTime;
    }

    public void setPushTime(Date pushTime) {
        this.pushTime = pushTime;
    }

    public String getSendPersonId() {
        return sendPersonId;
    }

    public void setSendPersonId(String sendPersonId) {
        this.sendPersonId = sendPersonId;
    }

    public String getSendToPersonId() {
        return sendToPersonId;
    }

    public void setSendToPersonId(String sendToPersonId) {
        this.sendToPersonId = sendToPersonId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

}

